> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Drop the table and clear its data



## OpenAPI

````yaml /api-reference/4.2/service-connectors-datasources.json delete /connectors/datasources/{id}/db/{table}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service connectors-datasources
servers:
  - url: /api/connectors/
security: []
tags:
  - name: connectors
paths:
  /connectors/datasources/{id}/db/{table}:
    delete:
      tags:
        - 4.2 Connectors Datasources API
      summary: Drop the table and clear its data
      operationId: dropTable
      parameters:
        - name: id
          in: path
          description: The datasource name
          required: true
          schema:
            type: string
        - name: table
          in: path
          description: The database table name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: boolean

````